<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@autor			pedro.garcia
@description 	test page for cu-sa-ac-087
@version 		2.0


-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:p="http://primefaces.org/ui"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                template="/templates/generalCU.xhtml">

    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::test page for cu-sa-ac-087::.
    </ui:define>

    <ui:define name="content">

        <h:form>
            <p:commandLink value="chúzele que viene de contrato"
                           title="cu-008"
                           action="#{adminContratosInteradministrativos.cargarConsultaAvaluosDeContrato}"
                           immediate="true"
                           oncomplete="consultarAvaluosContratoWV.show();"
                           update=":consultarAvaluosAprobadosForm">
                <f:setPropertyActionListener
                    target="#{adminContratosInteradministrativos.contratoSeleccionado}"
                    value="#{testsAvaluos.currentContract}" />
            </p:commandLink>

            <br/> <br/> <br/> <br/> <br/>


            <p:commandLink value="chúzele que viene de consignación"
                           title="cu-086"
                           immediate="true"
                           oncomplete="consultarAvaluosContratoWV.show();"
                           update=":consultarAvaluosAprobadosForm">
            </p:commandLink>

        </h:form>


        <p:dialog dynamic="true" appendToBody="true"
                  header="Avalúos aprobados pertenecientes al contrato"
                  widgetVar="consultarAvaluosContratoWV">
            <ui:include src="/avaluos/administracion/consultarAvaluosAprobados.xhtml" />
        </p:dialog>

        <p:dialog widgetVar="infoPredialWV"
                  header="Información de los predios asociados al avalúo"
                  appendToBody="true" closable="true" minimizable="false"
                  dynamic="true" width="800">
            <ui:include src="/avaluos/transversal/consultarInformacionPredial.xhtml"/>
        </p:dialog>

    </ui:define>

</ui:composition>
